Summary: Multiple HTMLs to indexed HTML, PostScript and PDF converter
Name: htmldoc-nogui
Version: 1.8.24
Release: 1%{?distro_release:.%{distro_release}}
Copyright: GPL
Group: Applications/Publishing
Source: ftp://ftp3.easysw.com/pub/htmldoc/%{version}/htmldoc-%{version}-source.tar.bz2
Prefix: /usr
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
URL: http://www.easysw.com/htmldoc/
BuildPrereq: libtool, bzip2, autoconf, openssl-devel, libjpeg-devel
Obsoletes: htmldoc < %{version}-%{release}
Provides: htmldoc

%define debug_package %{nil}

%description
HTMLDOC is a program that generates indexed HTML, Adobe(R) PostScript (TM),
and PDF files from HTML "source" files that you create using your favorite HTML editor.

This package does not include a GUI. Packages with GUI can be downloaded from
http://www.easysw.com/htmldoc/software.php ("official" ones) or
from http://nogin.org/RPM/htmldoc.html

%prep
%setup -q -n htmldoc-%{version}

%build
ac_cv_lib_GL_glEnable=no ac_cv_lib_fltk_numericsort=no %configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/
%makeinstall
rm -rf $RPM_BUILD_ROOT/%_datadir/doc/htmldoc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt COPYING.txt CHANGES.txt doc/help.html doc/htmldoc.pdf
# %doc doc/htmldoc.ps
%_datadir/htmldoc
%_bindir/htmldoc
%_mandir/man1/*

%changelog
* Sun May 22 2005 Aleksey Nogin <rpm@nogin.org> 1.8.24-1
- Updated for a recent htmldoc

* Fri Nov 21 2002 Aleksey Nogin <rpm@nogin.org> 1.8.23-1
- Updated for a recent htmldoc

* Sat Jan  8 2000 Aleksey Nogin <ayn2@cornell.edu> 1.8.4-1
- Renamed to reflect the fact that I do not build the GUI.
- Updated the comments.
- Documentation is now in a separate htmldoc-docs RPM.

* Fri Nov 19 1999 Aleksey Nogin <ayn2@cornell.edu> 1.8-1
- Upgraded to htmldoc-1.8
- Updated URLs.
- Added a patch that allows htmldoc to build without fltk being present.

* Tue Oct 26 1999 Aleksey Nogin <ayn2@cornell.edu> 1.7-2
- Fixed a small problem that made <PRE> tag do strange things in PS&PDF modes

* Mon Oct 25 1999 Aleksey Nogin <ayn2@cornell.edu> 1.7-1
- Created a SPEC file from scratch

